//
//  ViewController.m
//  WCLPictureClippingRotation
//
//  Created by wcl on 2016/12/28.
//  Copyright © 2016年 QianTangTechnology. All rights reserved.
//

#import "ViewController.h"
#import "WCLActionSheet.h"
#import "WCLImagePicker.h"

@interface ViewController ()<WCLActionSheetDelegate,WCLImagePickerDelegate>

@property (nonatomic,strong) UIImageView *finshIV;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
   
    UIBarButtonItem *item = [[UIBarButtonItem alloc] initWithTitle:@"裁剪图片" style:UIBarButtonItemStyleDone target:self action:@selector(gotoSelectPhotoViewController)];
    self.navigationItem.rightBarButtonItem = item;
    
    //裁剪完成图片显示
    self.finshIV = [[UIImageView alloc] initWithFrame:CGRectMake(0, 64, [UIScreen mainScreen].bounds.size.width, [UIScreen mainScreen].bounds.size.width)];
    self.finshIV.layer.borderWidth = 1;
    self.finshIV.layer.borderColor = [UIColor orangeColor].CGColor;
    [self.view addSubview:self.finshIV];
}

- (void)gotoSelectPhotoViewController{
    
    WCLActionSheet *actionSheet = [[WCLActionSheet alloc] initWithTitle:nil delegate:self cancelButtonTitle:@"取消" destructiveButtonTitle:nil otherButtonTitles:@"照相机",@"从相册选择", nil];
    UIWindow *window=[UIApplication sharedApplication].keyWindow;
    [actionSheet showInView:window];
}


#pragma -mark WCLActionSheetDelegate
- (void)actionImageSheet:(WCLActionSheet *)actionSheet clickedButtonAtIndex:(NSInteger)buttonIndex{
    
    WCLImagePicker *imagePicker = [WCLImagePicker sharedInstance];
    imagePicker.delegate = self;
    [imagePicker showImagePickerWithType:buttonIndex InViewController:self heightCompareWidthScale:1.0 isCropImage:YES];

}
#pragma -mark WCLImagePickerDelegate
- (void)imagePicker:(WCLImagePicker *)imagePicker didFinished:(UIImage *)editedImag{
    
    self.finshIV.image = editedImag;
};



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
